<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
        <h1>
            Rencana Penerimaan
            <small>List Data</small>
        </h1>
        <ol class="breadcrumb">
            <li class="treeview active"> Setting</li>
            <li class="active"> Rencana Penerimaan</li>
        </ol>
</section>

<section layout:fragment="main" class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <form method="get">
                        <div class="box-header with-border">
                            <div class="row">
                                <div class="col-md-6">
                                    <h3 class="box-title">Rencana Penerimaan</h3>
                                </div>
                                <div class="col-md-6" align="right">

                                </div>
                            </div>
                        </div>

                        <div class="box-header with-border">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="periodeAnggaran" class="col-sm-2 control-label">Periode</label>

                                        <div class="col-sm-8">
                                            <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">
                                                <option th:each="data : ${periode}"
                                                        th:selected="(${data} == *{selectedPeriode})"
                                                        th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                                        th:value="${data.id}">sdasd</option>
                                            </select>
                                        </div>

                                        <div class="col-sm-2">
                                            <button type="submit" class="btn btn-default">Pilih</button>
                                        </div>
                                    </div>

                                </div>



                                <div class="col-md-6" align="right">
                                    <div class="input-group input-group-sm" style="width: 150px;">
                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                        <div class="input-group-btn">
                                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </form>
                    <!-- /.box-header -->


                    <div class="box-body table-responsive no-padding">
                        <table class="table table-bordered">
                            <tr>
                                <th style="width: 10px">#</th>
                                <th>Kode</th>
                                <th>Program</th>
                                <th>%</th>
                                <th>Pagu</th>
                                <th>Anggaran</th>
                                <th>%</th>
                                <th>Selisih</th>
                                <th>Options</th>

                            </tr>
                            <tr th:each="dataRencanaPenerimaan,row : ${listRencanaPenerimaan}">
                                <td th:text="${(row.index + 1) + (listRencanaPenerimaan.number * listRencanaPenerimaan.size)}">1.</td>
                                <td th:text="${dataRencanaPenerimaan.mataAnggaran.kodeMataAnggaran}">BEASISWA</td>
                                <td th:text="${dataRencanaPenerimaan.mataAnggaran.kodeMataAnggaran}">Pendapatan dari Beasiswa</td>
                                <td th:text="${dataRencanaPenerimaan.persentasePagu +'%'}">-</td>
                                <td th:text="${dataRencanaPenerimaan.pagu}">AKTIF</td>
                                <td th:text="${dataRencanaPenerimaan.anggaran}">AKTIF</td>
                                <td th:text="${dataRencanaPenerimaan.persentaseAnggaran +'%'}">AKTIF</td>
                                <td th:text="${dataRencanaPenerimaan.pagu - dataRencanaPenerimaan.anggaran}">AKTIF</td>
                                <td>
                                    <a href="#" class="btn btn-primary btn-xs">Detail</a>
                                    <a href="#" class="btn btn-success btn-xs">Edit</a>
                                </td>

                            </tr>

                            <tr>
                                <th style="width: 10px">#</th>
                                <th>Kode</th>
                                <th>Program</th>
                                <th>%</th>
                                <th>Pagu</th>
                                <th>Anggaran</th>
                                <th>%</th>
                                <th>Selisih</th>
                                <th>Options</th>

                            </tr>


                        </table>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer clearfix">
                        <ul class="pagination pagination-sm no-margin pull-right">
                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                    aria-hidden="true">&laquo;</span></a>
                            </li>
                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </div>
                <!-- /.box -->
            </div>
        </div>
</section>

<section layout:fragment="footer" class="script">>
    <script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Datemask dd/mm/yyyy
    $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
    //Datemask2 mm/dd/yyyy
    $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
    //Money Euro
    $('[data-mask]').inputmask()

    //Date range picker
    $('#reservation').daterangepicker()
    //Date range picker with time picker
    $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
    //Date range as a button
    $('#daterange-btn').daterangepicker(
      {
        ranges   : {
          'Today'       : [moment(), moment()],
          'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
          'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
          'Last 30 Days': [moment().subtract(29, 'days'), moment()],
          'This Month'  : [moment().startOf('month'), moment().endOf('month')],
          'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        startDate: moment().subtract(29, 'days'),
        endDate  : moment()
      },
      function (start, end) {
        $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
      }
    )

    //Date picker
    $('#datepicker').datepicker({
      autoclose: true
    })

    //iCheck for checkbox and radio inputs
    $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
      checkboxClass: 'icheckbox_minimal-blue',
      radioClass   : 'iradio_minimal-blue'
    })
    //Red color scheme for iCheck
    $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
      checkboxClass: 'icheckbox_minimal-red',
      radioClass   : 'iradio_minimal-red'
    })
    //Flat red color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    })

    //Colorpicker
    $('.my-colorpicker1').colorpicker()
    //color picker with addon
    $('.my-colorpicker2').colorpicker()

    //Timepicker
    $('.timepicker').timepicker({
      showInputs: false
    })
  })
</script>
    <script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    $('.simpan').click(function () {
        Swal.fire({
            position: 'top-end',
            type: 'success',
            title: 'Your work has been saved',
            showConfirmButton: false
        })
    });
</script>
</section>
</body>
</html>